Introduction...

Welcome to FlashFXP!

FlashFXP is the premier FTP/FXP client that has gained rapid popularity due to its simple interface and advanced functionality. We at IniCom Networks aim to provide high quality software with great support. The enclosed documentation will help guide new users through getting started with FlashFXP and give advanced users insight into some of the more advanced/unknown features of FlashFXP.

Thanks for choosing FlashFXP; we hope you find it fun and easy to use.

FlashFXP Quick Links

  • FlashFXP Online Tutorial
  • Purchase FlashFXP now!
  • Register your newly purchased software
  • Frequently Asked Questions (FAQ)
  • How To’s
  • FlashFXP on the web


System Requirements

Hardware Requirements

Although FlashFXP will work on less powerful systems, for best results we recommend at least 32 MB RAM, a 166 MHz Pentium or faster processor and a high-color (thousands or millions of colors) display mode of 800x600 pixels or greater.

Software Requirements

FlashFXP has been tested on the following platforms:

  • Windows 95b Retail *
  • Windows 95b Upgrade from Windows 3.1 *
  • Windows 95b Retail *
  • Windows 95 OSR 2 *
  • Windows 95 OSR 2.5 *
  • Windows 98 *
  • Windows 98 SE
  • Windows ME
  • Windows NT 4.0 SP3, SP5, SP6, SP6a*
  • Windows 2000 Professional/Server Build 2195,SP1,SP2,SP3
  • Windows XP Home/Professional
  • Windows Server 2003, SP1
  • VirtualPC
  • VMWare

* These Operating Systems may require a common control update if IE5+ has not been installed. You can download the update here:
http://www.inicom.net/downloads/flashfxp/50comupd.exe


Session Menu

What is a session?

A session is a running instance of FlashFXP. Each session can connect to an ftp server to perform regular ftp transfers or each session can connect to two ftp servers to perform site-to-site transfers.

Sessions share many of the same settings, but they can be configured to choose which settings are to take effect, for example:

  • Sessions have access to the same Quick Connect history and the same Site Manager entries and share the same settings, all of which are accessible under the site manager.
  • Sessions have access to the same Selective Transfer filters, but they can independently choose which filter to use. Similarly, sessions use the same Skip List, but they can independently choose to enable the Skip List.
  • Sessions have independent queues and can be scheduled separately.

Quick Connect..
Opens up the Quick Connect dialog, which provides a fast way to connect to sites.

Save Path

Saves the current paths as the default paths for the current site. Each time a connection is made to that site, the current paths will automatically be changed to these saved directories. This is a useful feature for managing multiple web sites with different local working directories.

Local Path
Save the local path.
Remote Path
Save the remote path.

Transfer Mode

Select the mode which FlashFXP should use to transfer files.
Auto is the default and recommended method.

ASCII

This mode is appropriate for files which only contain plain text.
Examples: html, php, asp, etc
See ASCII for a list of appropriate file extensions.

Binary

This mode is used for files which do not contain only plain text.
Examples: archives, images, and executables.

Auto

FlashFXP will choose which method to use based on filename extension.
Files will be transferred in binary mode unless their extensions are in the ASCII filter list.
See ASCII for a list of ASCII file extensions.
If your files are coming through corrupted using auto mode, you might try switching to binary mode.

On Transfer Complete

Specify an action to take when a transfer has completed.

Accessing this option from this menu only affects the current session and is not saved on exit.
Please see the On Transfer Complete settings in the "Configure FlashFXP" to control the default behavior that is saved on exit.

Idle
The connection will remain active until an idle timeout (if any) is reached.
Disconnect Site(s)
Disconnects you from the ftp server(s).
Quit FlashFXP
Closes FlashFXP.
Hang up
If you connected to the Internet via dialup networking FlashFXP can hang up the connection.
Hang up then Quit FlashFXP
Hang up and then close FlashFXP.
Hang up then Turn off computer
Hang up and then turn off computer.
Turn off computer
Turns off the computer.
Log off computer
Logs off the current user.
Hibernate (only if supported)
Puts the computer into hibernate mode if it is configured to do so.

Show Confirmation
Prompt for user input before taking the action.

Minimize to system tray
Minimizes FlashFXP to the system tray which is located next your clock.

New Session
Create a new FlashFXP session window.

Exit

Close the FlashFXP application; any transfers in progress will be terminated.
However, if you have "Auto-Save" enabled (default), anything in the current queue will be saved and will become available to load the next time FlashFXP is started.


Quick Connect...

The quick connect dialog provides an easy interface to create new connections to ftp servers.

In simple cases, many of the options reachable through this dialogue have default values that will not need to be changed.

Simply fill in the servers name, the user to connect as, and an optional password.

Default
Press to load the default settings for Quick Connect
Connect / Close
Press to open the ftp session or to abort and close the Quick Connect dialog.


Quick Connect - General Tab

History

Connections which you have previously made with Quick Connect will appear in this pull down list.

Selecting items from this list will fill the fields below with the same information that were used in the previous connection.

Add Current Site

Pressing this button will save these Quick Connect settings into the site manager where more advanced options can be selected.

This button will open up the "Add Current Site" dialog:

Add Current Site

Select a group
Select a group to save the site into from the hierarchial list.
Enter Site Name
Enter a name for your site or leave it as the default setting which is the "Server or Url" name from the Quick Connect dialog.
Creates a new inside of the currently selected group.
Saves the changes.
Abort the changes.

Remove from history
Press this button to remove the current entry from the history list.
Server or Url:
Enter the domain name or IP address of the ftp server to connect with.
Port:
Enter the port number for this connection.
User Name:
Enter the user name to connect to the server as, or select "Anonymous" to connect anonymously.
Anonymous:
Connect as an anonymous user. The email address stored in FlashFXP preferences will be used as the password.
Password:

Enter the password for this "User Name" if you want the password stored in Quick Connect.

Leave this blank and a dialog will appear to prompt for a password each time the connection is opened.

Remote Path:

Enter the path on the ftp server that you wish to start in.

Example: /pub/products/

Proxy Server:

Use a proxy server as defined in Proxy Server / FIrewall.


Quick Connect - Toggles Tab

These options default to FlashFXP preferences defaults when box is selected:
Anti-Idle
Send NOOP keep-alives to the server to prevent the connection from timeing out and disconnecting due to inactivity. default
Show Hidden Files
Show files that have been marked as hidden. Hidden files begin with a . or are marked as hidden by the filesytem. default
Restore broken Transfers
If a connection to a server is lost during a file transfer FlashFXP will attempt to reconnect and restart the transfer. default
Use passive mode

This is enabled by default for compatibility with proxy servers, firewalls, and dsl/cable routers.

When enabled, the client makes an outgoing connection to the server. When disabled, the server makes an incoming connection to the client. default

Use Skiplist
Enable use of the skip list to filter which files to transfer. default
Send NOOP during transfer (not compatible with all servers)
Send no operation commands to the sever to keep the connection from timing out. default

These options are not affected by FlashFXP preferences defaults:
Use site ip for passive mode connections
This option allows you to connect to sites behind a firewall where the host IP differs from that returned by the FTP Server.
Use 'stat -l' to list directory (not compatible with all servers)

This option uses a new method to "list" the directory contents on the server. It is sent over the control connection rather than the data connection, so it is very fast, and may help with firewall issues.


Quick Connect - SSL Tab

Standard (No SSL)
Disables SSL
Implicit SSL
Creates a secure connection from the very beginning and encrypts all communication between the client and server at all times. Only certain FTP servers support implicit ssl.

Both AUTH SSL and AUTH TLS allow you to specify which parts of the connection to secure. ie, file listings, transfers, or both. In either case, login information is ALWAYS sent encrypted.

Auth SSL
Performs a standard FTP connection first, and then issues an AUTH SSL to establish a secure connection before sending the login information. This is considered an explicit ssl connection.
Auth TLS

Performs a standard FTP connection first, and then issues an AUTH TLS to establish a secure connection before sending the login information. This is considered an explicit ssl connection.

Secure File Listing
Enables/Disables the encryption of file listings.
Secure File Transfers
Enables/Disables the encrption of files while they are transferred.
Secure Site to Site Transfers (not supported by all servers)
Enables/Disables encryption of site to site transfers on remote servers.
Turn Off Fingerprint checking on Data Connection

Fingerprint checking compares the connection and control fingerprints to verify that the data connection is coming from the same server.
This option disables this security feature.

Some ftp servers that use virtual ftp sites (multiples sites within a single site) need this option enabled.


Quick Connect - Advanced Tab

Account
Some FTP servers require an account before you can login.
Retry Count
Number of times to try connecting to this site before giving up.
Retry Delay
Time in Seconds between connect attempts.
Alternative FXP Method
Some sites don't work with FlashFXP's method of FXPing. Enabling this might make the site FXPable.
Quick Connect History

Specify the mamimum number of Quick Connect sites to keep in history.


Sites Menu

About Sites...

FlashFXP provides a simple interface to organize frequently accessed ftp sites.
Each of these sites has their own settings, both simple and advanced.

Your collection of sites can be protected with a password.
Collections of sites stored in other ftp programs can also be imported for use in FlashFXP.

Site Manager..

Provides access to the settings for saved site entries as well as for Quick Connect site entries.
Hint: Enter the details of commonly accessed sites to avoid entering them with each use.

Opens up the Site Manager window.

Security

Password protect your data in the site manager.
If a password is set, you will be prompted for it when FlashFXP starts up.

Set Password..

Add a password to the Site Manager.

Enter Password
Choose a password and enter it here.
Confirm Password
Enter the exact password for confirmation.
Save changes.
Abort, do not save changes.
Clear Password
Removes the password protection from the Site Manager. You will be prompted to enter the current Site Manager password.
Change Password..

Enter in a new password for Site Manager.
You will be prompted to enter the current Site Manager password.

Enter in a new password just as in "Set Password..."

Add Current Site..

Adds the current site to the site manager.
This feature can be used to save a Quick Connect site to the Site Manager without having to re-enter the site details.

Select a Group
Browse to the group to add the site to.
Enter Site Name
Enter in a name to reference the site with.
Create a new group to save the site in.
Save changes.
Abort, do not save changes.
Import Sites..

Import site entries from other ftp programs.

Format
Choose the ftp application which you are importing from.
File
Enter the path to the file to import or find it with the browser button.
Group - Site Browser
Choose a group to import the sites into.
Read in the file, save changes.
Abort, do not save changes.


Site Manager

Provides access to the settings for saved site entries as well as for Quick Connect site entries.

Hint: Enter the details of commonly accessed sites to avoid entering them with each use.

Site Tree Area

This area displays all of the sites and groups of sites that are saved in the Site Manager.
It functions just like a file and folder browser in order to organize the ftp sites stored in the Site Manager.

Select a site and it's details will be show in the right part of the window.
Double-click a group and the sites and groups which it contains will be shown in the site area.

A popup menu can be accessed by secondary clicking on a site entry.
This menu allows access to many of the features for manipulating sites that are available in other parts of the FlashFXP interface.
These include connecting to, adding, importing, deleting, renaming, copying, and disabling a site entry.

Create a new site within the currently selected group.
Create a new group in the currently selected group.
Delete the currently selected site or group.
Save any changes to the currently selected site.
Connect to the currently selected site.
Close the Site Manager. You will be prompted for any unsaved changes to the current site.


Site Manager - General Tab

Site Name
Name that will appear in the site manager
IP Address
Enter the FTP Site address. The FTP site address is used to identify the FTP site to which you want to connect.
Opens the IP Address Dialog which allows access to an advanced address feature.
Port
Port number of the FTP server to connect to. Usually this is 21.
User Name
User name used when logging in the FTP server. If it’s a public server check "Anonymous".
Password
Enter your Password for the server here. It will show up as asterisks. This is not required for Anonymous logins. If Anonymous is not selected and this field is blank, FlashFXP asks for the Password.
Anonymous
Logs into the remote site using the anonymous login. Not all sites allow this and checking this option disables the ability to use the username and password fields.
Remote Path
Enter the path you want to start in on the FTP server.
Local Path
Enter the local path you want to start in when you connect to the FTP server.
Proxy Server:

Use a proxy server as defined in Proxy Server / FIrewall.

Timezone
This allows you to specify the timezone of the server you are coonecting to so tha remote server file time correlate with your local timezone files.
Notes
A place to write notes about the FTP server.


Site Manager - Options Tab

Use site ip for passive mode connections
This option allows you to connect to sites behind a firewall where the host IP differs from that returned by the FTP Server.
Disable "Force Active Mode to use this IP" for this site
Override default behavior for this site only.
Send anti-idle keep-alives
Enabling anti-idle will keep the connection alive by sending a command to the FTP site while scrolling through a list of files or if you step away from the computer. When this option is selected, FlashFXP uses the setting in Preferences.
Send NOOP during transfer (not compatible with all FTP servers)

Send a NOOP command periodically to prevent the site from disconnecting you. Be careful...this option breaks many ftp servers. Only use this if you know what you are doing.

See Also NOOP
Use APPE to resume uploads
Some ftp servers may require APPE to resume an uploaded file, if you are having problems resuming, selecting this option might resolve the problem.
Show Hidden Files (LIST -al)
This tells the ftp server you want to see the hidden files. When this option is selected, FlashFXP uses the setting in Preferences.
Use Passive mode
This is enabled by default for compatibility with proxy servers, firewalls, and dsl/cable routers. When enabled, the client (you) makes an outgoing connection to the server. When disabled, the server makes an incoming connection to the client. This option can be toggled per-site as well.
Use Skip List
The skip list allows you to enter masks of items you want to skip when you transfer files, on some sites you may not want to skip any files so you would deselect this. When this option is selected, FlashFXP uses the setting in the Skip List dialog.
Cache Directories
When selected, the remote file listing is stored locally in a cache file so that the next time you go to that directory, you won't have to wait for the listing to download again.
Use 'stat -l' to list directory (not compatible with all FTP servers)
Enables a fast method of directory listing.
Site does not support FEAT command
Disable the use of the FEAT command to obtain site supported features.

Compression (MODE Z)
Control the use of compression during the following:
  • While Listing Folder Contents
  • While Downloading Files
  • While Uploading Files
  • During FXP Transfers

Brings up the File Exists Options Dialog to configure this site's actions for when a file of the same name to be transferred already exists on the server.


Site Manager - Advanced Tab

Resume support

By default FlashFXP auto-detects during login whether or not a site supports resume.

If you already know whether or not the site supports resume you can select either:

  • Yes - the site supports resume
  • OR
  • No - the site does not support resume
Ident User ID

This allows you to set a specific Ident to be returned for this specific site.

Only used if enabled in link options->preferences->connection> connection

Account
Some FTP servers require an account name before you can login.
Filename Case Conversion

Upload / Download / Site to Site

Allows file names to be automatically converted during transfer.

(default): uses the global setting defined in options->prefs->transfer> transfer
Don't convert: fiLE.ExT
Lowercase: file.ext
Uppercase: FILE.EXT
First character uppercase: File.ext
Retry Count

This is how many times FlashFXP will attempt to connect to the FTP site.

When this option is blank, FlashFXP uses the setting in Preferences.

Retry Delay

When a connection to a site fails, FlashFXP will wait this many seconds before trying to connect again.

When this option is blank, FlashFXP uses the setting in Preferences.

Alternative site to site method

Some sites don't work with FlashFXP's method of FXPing, configuring these might make the site FXPable.

Check to enable for:

  • Downloading (NOT PASV)
  • Uploading (PASV)
The following commands will be performed after login
This area allows the user to define custom commands that are executed after a successful login.


Site Manager - SSL Tab

Standard (No SSL)
Disables SSL
Implicit SSL
Creates a secure connection from the very beginning and encrypts all communication between the client and server at all times. Only certain FTP servers support implicit ssl.

Both AUTH SSL and AUTH TLS allow you to specify which parts of the connection to secure. ie, file listings, transfers, or both. In either case, login information is ALWAYS sent encrypted.

Auth SSL
Performs a standard FTP connection first, and then issues an AUTH SSL to establish a secure connection before sending the login information. This is considered an explicit ssl connection.
Auth TLS

Performs a standard FTP connection first, and then issues an AUTH TLS to establish a secure connection before sending the login information. This is considered an explicit ssl connection.

Secure File Listing
Enables/Disables the encryption of file listings.
Secure File Transfers
Enables/Disables the encrption of files while they are transferred.
Secure Site to Site Transfers (not supported by all servers)
Enables/Disables encryption of site to site transfers on remote servers.
Turn Off Fingerprint checking on Data Connection

Fingerprint checking compares the connection and control fingerprints to verify that the data connection is coming from the same server.
This option disables this security feature.

Some ftp servers that use virtual ftp sites (multiples sites within a single site) need this option enabled.


Site Manager - Bookmarks Tab

Bookmarks allow you to set "favorite directories" in FlashFXP. Use bookmarks to quickly jump around to favorite directories.

Caption, Remote Path, Local Path - Bookmark List
This list contains the bookwarks which have been created for the site.

Add a new bookmark with the "Add/Edit Bookmark" window.

Caption
Enter a name used to reference this bookmark.
Remote Path
Enter the path to mark on the ftp server.
Local Path
Enter the path to mark on the local machine, or browse through your file system to select a local path.
Edit the currently selected bookmark.
Delete the currently selected bookmark.

An easier way to access/add bookmarks is directly through the main interface:


Site Manager - Statistics Tab

Selected Site

Keeps track of statistics for each site, the number of connects to site, last connect to site, the number of uploads and downloads, and the number of bytes transferred.

The Reset button will reset the statistics for this site to zero.
Totals

This displays the total bytes transferred to/from all sites since the last reset.
The Reset button will reset the total statistics to zero.

Note: This does not reset individual site statistics.


Options Menu

Use these dialogs to configure some of FlashFXP's many options.

Preferences..

Configure FlashFXP's global settings. Many of these settings can be configured on a per-site basis through the Site Manger.

Opens the Configure FlashFXP window.

File Exist Rules..
Brings up the File Exists Options window to configure this site's actions for when a file of the same name to be transferred already exists on the server.
Filters..

Define rules which control which files are transferred, how they are transferred, and how they are displayed.

Opens the Filters window.

File Associations..

Associate a file with an application when viewing and/or editing.

Opens the File Associations window.


Configure FlashFXP

Configure FlashFXP's global settings. Many of these settings can be configured on a per-site basis through the Site Manger.

Opens the FlashFXP help file.
Save any pending configuration changes.
Abort any pending configuration changes and close dialog.


Configure FlashFXP - General Tab

General
E-mail Address
This email address is used as the password when connecting to anonymous FTP servers.
Default Download Path
Sets the path where FlashFXP will download files by default.
Status Log Filename
A copy of the status window text will be logged to this file.
Enable disk based logging

When selected, FTP sessions are saved to a file on your computer.
A log file can grow rather large over time. It's only limited by your free hard drive space.

This option reduces performance and should only be used when necessary.

Trim log file size to
This option limits the size of your log file to the specified size, each time it grows beyond this maximum the oldest part of the log at the top of the file is trimmed off so that the most recent part remains.
Limits
Connect Timeout
The number of seconds that FlashFXP will wait for a site to respond to the connection request.
Scrollback buffer (lines)
The maximum number of lines displayed in the Status Window.
Connect Retry Delay
When connecting to a site fails, the number of seconds that FlashFXP will wait before attempting to retry to connect to the site.
Connect Retry Count
This is how many times FlashFXP will attempt to connect to the FTP site.
Anti-Idle Keep Alive

Send keep-alives to the server to prevent the connection from timing out and disconnecting due to inactivity.

Choose from:

'NOOP'
No Operation
'PWD'
Print Working Directory
'LIST'
List Files/Directories, does not update the file listing.
'CWD .'
Change Working Directory to Current Directory
refresh
Performs a 'LIST' and updates the file listing.

Set the period of time in seconds between keep-alives with the time selector.
A maximum total amount of time to send keep-alives can also be set.


Configure FlashFXP - Connection Tab

Proxy Server / Firewall
Default Proxy
Indicate which proxy server profile to use by default.
Add a new proxy server profile to the list of profiles.
Opens the Add Proxy Server Profile dialog.
Edit the currently selected proxy server profile.
Opens a new window with the same options as the Add Proxy Server Profile dialog.
Remove the currently selected profile from the list of profiles.
Use Passive Mode
Normally this should be checked if you're using a Proxy Server or behind a firewall. Note: Passive mode tells the FTP server you're going to connect to it for data transfers rather then the FTP server connecting to you.
Send noops during transfer
Send a NOOP command periodically to prevent the site from disconnecting you. Be careful...this option breaks many ftp servers. Only use this if you know what you are doing.

Data Connection (Active Mode - PORT )
Limit local port range to:

By adjusting the range of local ports used you can enable FlashFXP to work with your firewall. We recommend 10 sockets per instance of FlashFXP, this number may need to be increased if you transfer or browse ftp servers swiftly. This affects the use of the PORT command, also known as active connections.

These ports must also be properly mapped on a router if one is in use. Please consult your router's documentation if necessary.
Note that the range of ports specified is for INCOMING connections.

Supply the minimum and maximum ports to specify the range.

Force Active Mode to use this IP:
This allows you to specify which IP to use for local connections. This can be an IP address or a named address. FlashFXP will attempt to resolve on connect.
Use this IP only for non-port 21 and SSL/TLS connections
Controls the use of the "Force Active Mode to use this IP"

Ident Server

FlashFXP can act as an ident server and sends the specified User ID and System as identification. This server will be more useful to some people than others.

Note: Some ftp servers might refuse a connection if there is no reply to an ident request.

Enable Ident
Check/uncheck this to turn the ident server on or off.
Enable only when connecting
This turns the ident server on only when you're connecting to an FTP server. After you login the ident server is turned off.
User ID
This can be your account or user name on your system. For most people this will be the User ID portion of their email address (the text before the @ sign).
Valid characters for a User ID are: . 0-9 A-Z _ - a-z.
System
This identifies your operating system. Replying with a value other than UNIX would not be very useful for most people.
Port

Allows you to set the port the Ident server should listen on.

This port must also be properly mapped on a router if one is in use. Please consult your router's documentation if necessary.
Note that this ports applies to INCOMING connections.

The default port is 113.


Configure FlashFXP - Options Tab

Toggles
Delete temp file after FTP view/edit
When checked, files you have viewed or edited are deleted from the temp folder when you exit FlashFXP.
Double click in queue changes to source directory
When checked, allows you to double click a directory already in the queue to change to that directory.
Pop up window for login messages
When checked, login message will be displayed in a popup window.
Save clipboard monitoring state on exit

When checked, the value of Clipboard Monitoring will be saved on exit. If you plan to run multiple copies of FlashFXP it is recommended that you disable this as each open copy will attempt to download the same URL captured from the clipboard.

See Clipboard Monitoring

Cache Directories
This option speeds up remote file listings by saving the listings locally.
Update directory cache during transfer
This will refresh the directory of a queued item before it begins to transfer. This is useful if you have browsed the directory, and thus cached it, but want to make sure to get the most recent file listing.
Require double click to change FTP directory tree
By default FlashFXP will change the current directory when you select a new directory from the remote FTP tree view. When this option is enabled, FlashFXP will only change the current directory on the remote server when double clicked. This allows you to queue any visible folder without it being active.
Auto Expand FTP Directory Tree
By default FlashFXP auto expands the FTP directory tree to provide easier navigation, some users may prefer not to auto expand.
Follow symbolic links recursively
This affects downloading and deleting. By unchecking this FlashFXP skips folder links. This resolves a never-ending loop on serv-u sites, which use global links.
Reveal password when selecting password field
Displays the clear-text version of the password when it is entered in the Quick Connect or Site Manager password fields.
Use old style tab stops.
Toggle the use of the old style tab stops.

Compression (Mode Z)

Mode Z transparently compresses data to increase bandwidth and reduce transmission time. This option requires additional cpu processing. Users with low-end computers may want to disable this feature.

Control the use of compression during the following:

  • While Listing Folder Contents
  • While Downloading Files
  • While Uploading Files
  • During FXP Transfers
  • Bypass for Lan Sites (for sites on your fast local network)

Confirmations
Delete files/folders
Prompts to confirm the delete file operation.
Note: The confirmation of remote directory deletion or local files deletion can not be disabed.
Move files/folders
Prompts to confirm a move when objects in the same view are dropped onto folders in the tree.
Clear queue
Prompts to confirm clearing the Queue.
Delete queue items
Prompts to confirm the deletion of queue items.
Exit with non empty queue
Prompts to confirm the exiting of FlashFXP when the Transfer Queue isn't empty.
Exit during transfer
Prompts to confirm the exiting of FlashFXP while a transfer is in progress.
Save site changes in Site Manager
Prompts to save any changes before selecting another site or exiting the Site Manager.
Delete Queue file in Restore Queue
Prompts to confirm deletion of a queue file while in the Restore Queue dialog.


Configure FlashFXP - Transfer Tab

Options
Check for free space before download
FlashFXP will warn you if there isn't enough free space to download the current file (local downloads only).
Keep server file time on downloaded files
After downloading a file FlashFXP will change the date to match that of the file on the server (local downloads only).
Smart mode-handling
Most FTP clients set the transfer mode for every file to insure that it’s transferred in the correct mode, by enabling smart mode handling FlashFXP will only change the mode when needed. Please Note: This should work on any ftp server following the RFC-959 guide lines.
Flash window on transfer complete
FlashFXP will flash the taskbar button or system tray icon to notify you that the transfer queue completed.
Use APPE to resume uploads
By default FlashFXP uses REST followed by STOR for resuming uploads, when checked APPE is used instead. This can also be adjusted per-site.
Close unused FTP connections during transfer
FlashFXP will disconnect any FTP connection that isn't necessary to transfer the current file in the queue.
Stop and resume if no data transferred for (user defined) minutes
If no data is received within the specified time, FlashFXP will stop the transfer and resume the file.
Transfer Mode

Select the mode which FlashFXP should use to transfer files.
Auto is the default and recommended method.

ASCII
This mode is appropriate for files which only contain plain text.
Examples: html, php, asp, etc See ASCII for a list of appropriate file extensions.
Binary
This mode is used for files which do not contain only plain text.
Examples: archives, images, and executables.
Auto

FlashFXP will choose which method to use based on filename extension.
Files will be transferred in binary mode unless their extensions are in the ASCII filter list.

See ASCII for a list of ASCII file extensions.
If your files are coming through corrupted using auto mode, you might try switching to binary mode.

Transfer Speed Limit
Download
Limit the maximum download to speed to a certain number of KB/s
Upload
Limit the maximum upload to speed to a certain number of KB/s
Retry Failed Transfers
Specify the number of times to retry a failed transfer for each of:
  • Upload Transfers
  • Download Transfers
  • Site to Site Transfers
On Transfer Complete (default)

Specify the default action to take when a transfer has completed.

Changes made to this area are saved when FlashFXP exits.
Please see On Transfer Complete in the "Session Menu" to control this setting for the current session only.

Idle
The connection will remain active until an idle timeout (if any) is reached.
Disconnect Site(s)
Disconnects you from the ftp server(s).
Quit FlashFXP
Closes FlashFXP.
Hang up
If you connected to the Internet via dialup networking FlashFXP can hang up the connection.
Hang up then Quit FlashFXP
Hang up and then close FlashFXP.
Hang up then Turn off computer
Hang up and then turn off computer.
Turn off computer
Turns off the computer.
Log off computer
Logs off the current user.
Hibernate (only if supported)
Puts the computer into hibernate mode if it is configured to do so.

Show Confirmation
Prompt for user input before taking the action.
Filename Case Conversion

For Uploading, Downloading, and Site to Site transfers options for converting the filenames of transferred files can be specified.

Select a method for file names to be automatically converted:

Don't convert: fiLE.ExT
Lowercase: file.ext
Uppercase: FILE.EXT
First character uppercase: File.ext


Configure FlashFXP - Advanced Tab

Advanced Options
Enter folder after create
When making a folder if this option is checked FlashFXP will also change to the newly created folder.
Remove empty folder on upload failure
When performing a site-to-site tranasfer sometimes no files are uploaded to the folder you created, when you exit the folder and this option is checked the folder will be removed.
Only delete top-level FTP folders
When checked FlashFXP will not enter folders and delete the files within them.
Activate FlashFXP on connect
Activates and brings to front the FlashFXP window once a connection is made.
Restore FlashFXP for confirmations
When checked FlashFXP will restore FlashFXP if minimized and display its confirmations in front of other windows.
Keep failed transfers in queue
When checked FlashFXP will keep failed transfers in the queue so that the user can review them and either retry or delete them.
Interpret ; as raw command delimiter
Allows you to enter multiple commands via the raw command dialog, separating them with a ;
Update icon to reflect current status
Displays a different (color/style) icon for FlashFXP depending on its status.
Idle / Connecting / Transferring / etc.
Allow local browsing during download
Control access to the local browser while downloads are in progress.
Taskbar Button Caption

This allows the user to customize the look of the Taskbar caption when a transfer is in progress.

Two different captions can be assigned one for FTP and another for FXP:
(This is done because progress and speed aren't possible when FXPing.)

During FTP trasfer
Enter the text to be displayed for ftp transfers.
During FXP transfer
Enter the text to be displayed for FXP transfers.

Click to learn more information on the display variables.

See also Taskbar Caption Variables

Mouse Events
On drag drop

When a file is dropped it can be queued or transferred.

Choose one from the pulldown list.
On double click [remote]

When a remote file is double clicked, it can be queued, transferred, viewed, edited, or no action taken.

Choose one from the pulldown list.
On double click [local]

When a local files is double clicked, it can be queued, transferred, edited, executed, or no action taken.

Choose one from the pulldown list.
Drag/Drop from Explorer:

Once the files are dropped they can be queued or transferred.

Choose one from the pulldown list.
List Method
Default
Uses the default list, compatible with all ftp servers.
Show Hidden Files

Tells the ftp server you want to see the hidden files also.
This option does not work on all ftp servers.

Note: this option can be enable per site in Site Manager
Custom list
For those who want to take it a step further you can enter your own custom parameters (expert users).
Internet Explorer Plugin

The Internet Explorer plugin can be enabled with a prompt, enabled without a prompt, or disabled entirely.

Choose one from the pulldown list.
TCP/IP Buffer Size

Allows you to modify the sizes of the internal buffers that are used for sending and receiving TCP/IP data.
This option also adjusts the winsock socket buffer size.

This option is recommended for experts only because incorrect values can reduce performance.


Configure FlashFXP - Sounds Tab

Sounds can be associated with events in FlashFXP.

FlashFXP has a few sounds preconfigured, which can be accessed with the "File" pulldown menu.
Any .wav file can also be used.

Enable Sound Events
Enable the playing of sounds with events as defined in the Event and File table.
Event and File
The table of events with their associated sound files.
File:
Enter the path and filename to the sound file, or click on the browse button to locate the sound.
Play Sound:
Press this button to play the selected sound file.


Configure FlashFXP - Display Tab

Settings for look and feel.

Options
Flat toolbar buttons
Give toolbar buttons a flat look instead of a 3D look.
Use high color toolbar icons
Display toolbar icons in high (256) colors. Unchecking this will set the icon color depth to 16.
Place in tray when minimized
Minimizes FlashFXP to the system tray on minimize.
Display site names in caption
Displays the names of the connected sites in the caption.
Auto size file list columns
Automatically adjusts column widths for complete visibility.
Auto size queue list columns
Automatically adjusts column widths for complete visibility.
Show site idle time
When checked, shows how long you've been without any activity to the connected site.
Start with Site Manager
When checked, Site Manager is displayed on Start up.
Note: Site Manager will not be displayed when FlashFXP is launched with a command line or if the Restore Queue dialog needs to be displayed.
Full row select
When checked, the item selection spans the entire row, rather than just the length of the file or folder name.
Sort Folders on top
When checked, folders are sorted on top of files.
Separately sort Folders/Links
Normally folders and links are separated, folders, links, files. When Checked, folders and folder links are mixed together.
Smooth scroll
When checked, a smooth scroll is used to reduce flicker, however scrolling may appear slower, as more CPU time is required.
Start with Error/Transfer Status
Normally FlashFXP displays a complete status window by default. When checked, FlashFXP will default to the error/transfer status window.
Remember last used site in Site Manager
Next time you open the Site Manager (F4), your last used site will be selected.
Show grid lines

Displays grid lines for the local and remote file listing.

If flickering occurs from using this option then also enable Smooth Scroll to eliminate the flickering.

Re-sort new/modified files (local listing)
When downloading files locally, resort the listing as they are downloaded. This prevents all newly downloaded files to be left at the bottom of the listing.
Fast file transfer progress updates
Increasing polling rate to determine transfer progress.

FTP Sort By (default)

Specify which attribute to sort the listings of files/folders on the ftp server, and which direction to sort them in.

Available attributes are: Name, Size, Date, Owner, Group, File Extension

Ascending or Descending
Choose ascending or descending order as the direction to sort the lists.
Local Sort By (default)

Specify which attribute to sort the listings of files/folders in the local browse view.

Available attributes are: Name, Size, Type, Date

Ascending or Descending
Choose ascending or descending order as the direction to sort the lists.
Display File Size As

Choose which units are used to display file sizes.

Auto
Automatically chooses the best unit to display the file size in.
KiloBytes (KB)
Display the file size in kilobytes.
Bytes
Display the file size in bytes.
Transfer speed display units

Choose which units are used to display transfer speeds:

Kilobytes per second (KB/s)
Kilobits per second (kbps)


File Exists Options

These options specify the type of action to take when a file already exists on the server.

There are a total of nine situations that can be set individually...
For each case when:

  • Downloading
  • Uploading
  • FXP (Site to Site)
there is an option for when the file to be replaced is:
  • Smaller than
  • Same size as
  • Larger than
the file that is to be transferred.

In each of these cases FlashFXP can be set to:
Ask
FlashFXP will bring up a new dialog "Confirm File Replace" that prompts for which action to take.
Auto Overwrite
The existing file will be automatically replaced by the transferred file.
Auto Skip
FlashFXP will automatically skip to the next file to be transfered. The existing file will not be changed.
Auto Resume

Autmatically resume the transfer of the file.

This option assumes that the existing file is an incomplete transfer and is only available when the existing file is smaller than the file to be transferred. This option will have the effect of an overwrite if the two files have the same name but different contents.

Auto Rename

If the file was named file.txt, then the transferred file will have it's name extended with a parenthesized number.
The existing file will not be changed.

Example: a file named file.txt will be named file(1).txt on the sever

Global Tab
Modify the file exists options that all sites use by default.
Site: "sitename" Tab
Modify the file exists options that apply to the site "sitename" only.
Use Global Setting
This forces the global settings to be used. Uncheck this box to change the File Exists Options for the site.
On Ask, Wait X seconds then overwrite.
When FlashFXP prompts for an action it will wait for the specified amount of time. If no action is selected then the existing file will be overwritten.
Rollback X KB on resumed downloads.
On resume, FlashFXP will rollback the specified number of kilobytes just in case the original transfer was corrupted when it terminated before completion.
Only resume files transferred in binary mode.
With this option, FlashFXP will not resume a transfer if it was transferred in ASCII mode.
Restore the file exists options to factory defaults (Ask).
Save changes and close the window.
Close the window without commiting any changes.


Filters..

Define rules which control which files are transferred, how they are transferred, and how they are displayed.

OK
Press to save changes.
Cancel
Press to abort any changes.


Filter - ASCII Tab

Specify a part of a file name or the extensions of files which will be transferred in ASCII when the transfer mode is set to Auto.

A file name does not need to have an extension. It may also have an extension that is normally considered binary.

Extensions:
Enter in a new extension or file name.
Extension List
Shows the current list of extensions or filenames which will be transferred in ASCII.
Add the entry in "Extensions:" to the "Extension List".
Remove the currently selected entry from the "Extension List".


Filter - Skip List Tab

The Skip List allows a global set of rules to be defined which controls which files/directories will not be transferred.

A file which matches ANY of the these mask patterns will not be transferred when "Enable Skip List" is checked.

A directory which matches ANY of the these mask patterns will not be transferred when "Enable Skip List" and "Skip List applies to directories" are checked.

File Mask (*.*)

Enter in a pattern to match against filenames.

A * character will match any number of charecters.
A ? character will match any single character.

    Examples:

  • 200402*.jpg
  • shipment_1?.*
  • *.txt
File Mask List Area
File Masks entered in the "File Mask (*.*)" text field will appear in this area.
Adds the file mask entered into the "File Mask (*.*)" text field into the list of file masks..
Deletes the currently selected file mask from the list area.
Enable Skip List
This check box activates the Skip List.
Skip 0 byte files
Automatically skip a file if it is empty (contains 0 bytes).
Skip Empty Directories
Do not transfer a directory if it contains no files or directories.
Skip List applies to directories
Use the Skip List to also apply the rules against directories.
Display Skip Items in (user defined color)

Highlight a file or directory if it matches a rule in the skip list.
These highlighted items will not be transferred.

Choose a color to highlight with from the pulldown menu.

When to Skip

Further control when the Skip List will apply.

Apply the skip list to:

Aut.omatic File Transfers
Only files that are automatically queued/transferred by FlashFXP will be subject to the Skip List rules.
Manual File Transfers
Only files that are manually queued/transferred by the user will be subject to the Skip List rules.
Both
Both Automatic & Manual file transfers will be subject to the Skip List rules.


Filter - Priority List Tab

The Priority List controls the order in which files transferred.

If a files matches a pattern in the list then it will be transferred according to the position of the pattern in the list. The higher the pattern in the list, the higher the priority of the transfer.

Items which do not match patterns in the list are transferred in regular order after all of the files which do match patterns have be transferred.

File Mask (*.*)

Enter in a pattern to match against filenames.

A * character will match any number of charecters.
A ? character will match any single character.

Examples:
  • 200402*.jpg
  • shipment_1?.*
  • *.txt
File Mask List Area
File Masks entered in the "File Mask (*.*)" text field will appear in this area.
Adds the file mask entered into the "File Mask (*.*)" text field into the list of file masks..
Deletes the currently selected file mask from the list area.
Raise the currently selected file mask one position in the list.
(Raise its priority)
Lower the currently selected file mask one position in the list.
(Lower its priority)


Filter - Highlights Tab

Files can be assigned a highlight color based on a file name pattern.
The first pattern matched in the list will determine the color of the file.

File Mask and Color Table
Shows the current assignments of colors to file name patterns.

Add a new entry to the "File Mask and Color Table"

Enter in a pattern to match against filenames and select a color from the pull down list.

A * character will match any number of charecters.
A ? character will match any single character.

Edits the entry in the table which is currently selected.
Deletes the entry in the table which is currently selected.
Raise the currently selected entry one position in the list.
Lower the currently selected entry one position in the list.
Enabled
Check this box to enable the file highlighting.


File Associations

Associate files with applications for viewing and/or editing.

File Association Table
Shows the current associtions among file patterns and applications.
View/Edit specifies when the association takes effect.

Brings up a new set of text entry boxes and options for adding an association to the table:

Create a list of file patterns which will all be associated with a selected program.

File Mask

Enter in a pattern to match against filenames.

A * character will match any number of charecters.
A ? character will match any single character.

File Pattern List
A list of file patterns to associate with the program.
Adds the current pattern in "File Mask" to the list of file patterns.
Removes the selected pattern from the list of file patterns.
Open With
Select a predefined application from the pull down list, or browse for the application with the browse button.
When

Specify when the association is to take effect.

Options include Viewing and Editing.
Associate the list of file patterns with the selected program. Adds this association to the association list.
Closes the window without making any changes.

Brings up the set of text entry boxes and options for modifying an existing association.

Deletes the entry in the table which is currently selected.
Saves all changes to the list of file associations.
Aborts any changes to the list of file associations.


Queue Menu

What is a queue?

A Queue is a set of file-targets to be transferred. Each file-target contains the file name to be transferred and the location on the ftp server where it is to be transferred.

Queues can be used to easily define groups of files to be transferred. These queue can be saved and then loaded for future use.

Items in the queue are transferred starting from the top.
Items in the queue may be removed or reordered.

Transfer Queue

Transfers the items that are currently in the queue.

While in the Queue Pane,

  • Ctrl+D to moves the currently selected queue item down in the queue.
  • Ctrl+U to moves the currently selected queue item up in the queue.

Restore Queue..

The state of the queue can be autosaved and loaded without explicitly using "Save Queue.." and "Load Queue.." from the Queue Menu.

The Restore Queue Window can be automatically opened at FlashFXP startup to load an autosaved (in the event of a crash or failure) or explicitly saved queue.

Select this item to bring up the Restore Queue Dialog.

Load Queue..
Brings up a browse window to locate and load a queue.
Save Queue..

Save the current queue into a file for future use.

A saved queue can be used with the FlashFXP command line to execute a certain queue as part of a schedule.

Queue Info..

Displays information about the current queue.

Clear Queue

Removes all items from the current queue.

This operation can not be undone.


Restore Queue

These options specify the type of action to take when a file already exists on the server.

Options
Display on startup
Bring up this window at startup so that a queue can be loaded or removed from the list.
Auto-Save queue on Change

Save any changes to a queue after it has been loaded. An empty queue will be deleted from the list.

When a user-created queue is loaded, the content is auto-saved to a auto-save queue.
The original queue file is not modified.

Auto-Save queue on Exit
Automatically save a non-empty queue into the list when exiting FlashFXP.
Select Queue
Select a queue from the list of displayed saved queues.
Display
Auto-Save
Display only those queues that were autosaved.
All
Display all queues: autosaved and explicitly saved.
Preview
This areas shows a preview of the queue as it will be loaded.
Load the selected queue into the main program queue.
Delete the selected queue from the list of displayed queues.
Delete all of the queues that are listed in "Select Queue".
Close the "Restore Queue Window" without loading a queue.


Commands Menu

Allows ftp-commands to be issued to the server that are not native to FlashFXP.
These commands may provide additional information, or they may perform an operation on selected files.

For example, on some ftp servers, "SITE HELP" will display a list of commands that are supported by the server.

Commands are created with "Edit Commands.." and added to the "Command Menu".
Commands may be executed while connected to an ftp server by selection from the "Command Menu" or by pressing a defined Shortcut Key.

Edit Commands..
Allows the user to define saved custom (raw) commands. Note that this does not constitute scripting. Opens the Edit Custom Command dialog.
Raw Command..

Send a raw command to the FTP server.

Opens the "Raw Command" dialogue:

Enter Command
Enter in the exact command, including any commany tokens.
Display Results in an edit window
Select this to display the servers response in an edit window.


Edit Custom Commands

Allows the user to define saved custom (raw) commands. Note that this does not constitute scripting.

Menu Tab

Command and Command-Group Browser

Displays an Explorer-like tree of commands and command-groups.

Command - Text Entry
Enter in the exact command, including any commany tokens.
Shortcut Key

Assigns a shortcut that executes the command.

The shortcut is a combination of modifier keys and a character.
To enter a shortcut, hold down the modifier keys and press a character.

Valid modifiers include: CTRL, ALT, CTRL-ALT, CTRL-SHIFT, ALT-SHIFT, CTRL-SHIFT-ALT

Add a new group in the currently selected group.
Create a new command in the currently selected group.
Delete the currently selected command or group.
Save all changes.
Abort all changes, close window.

Help Tab

Displays a list of command tokens that FlashFXP provides for use in custom commands.

These tokens are...

Command Tokens:
%f | Selected Filename
%o | Selected Owner of file
%g | Selected Group of file
%p | Current Path
%c | Clipboard content
%d[caption] | Prompt for text
%[number] | Returns value of the Nth %d prompt
%b[caption] | Matches bookmark caption and replaces it with bookmark path

Script Commands:
Delay [seconds] | A delay before continuing to the next command
List [parms] | Refreshes the file list
Compare | Compare folders
&window | Creates a text window with the results of the commands that follow
&list | Refreshes the listing and adds the raw list format to an existing &window
&cd | Changes directory
&switch | Switches sides before continuing script
{ .. } Command group. See example below.

Example: this makes renaming possible when multiple files are selected.
{
RNFR %f
RNTO %f.bak
}


Tools Menu

Manual Get..

Manual Get allows you to download a file where you already know the path and filename.
Specifically, it's used for when listing is disabled and you must know the path and file to download.

Enter the exact path and file name of a file to download it manually.
Example: /pub/README

Compare Folder Content

Compare Folders

Compares the current directory on both sides to each other and hides/selects the matches from both.

Simply refresh to redisplay the entire directory listing.

Partial Name Matching
Allow a partitial match when comparing.
Compare Name & Size
Files have a better chance of being the same if they agree on both file name and on file size.
Don't Size Compare ASCII Files
Excludes ASCII files from the SIZE compare when "Compare Name & Size" is selected.
Exclude File Extensions
When comparing file names, do not compare the extensions of the files.
Select Non-Matches
Select the differences between the directories instead of showing the similarities.
Hide Matching Files/Folders
Do not show files and folders which match the comparison.

Compare Folder Toolbar Button

The Compare Folder toolbar button is also available and it provides the same functionality:

Text Editor..

Opens a simple text editor that has many of the same options and interfaces as other text editors.
Use this for quick and simple editing.

Schedule..

FlashFXP can schedule a time to begin transferring data if the queue in your current session contains items to transfer.

When the schedule is enabled and waiting the session will not allow any other operation to take place.

Note: The only way to schedule more than one queue independently is to use more than one session.
If you wish to transfer to multiple sites then create a session and queue for each site and schedule each session independently.

Start at
Select a date and time to begin the transfer.
Stop At

Stop a queue if it has not completed transfer by a specified date and time.

Stop queue if not completed by
Check this box and select a time to stop the queue.
And
Take an action upon stoping the queue.
On transfer Complete

Take an action upon successful completion of the queue.

Actions for sucessfull and stoped queues include:

  • Disconnect Site(s)
  • Quit FlashFXP
  • Hang up
  • Hang up then Quit FlashFXP
  • Hang up then Turn off computer
  • Turn off computer
  • Log off computer
  • Hibernate (only if supported)
Minimize to system tray
The current session and Schedule dialog will be minimized into the system tray.
Enable and run the scheduler. The "Schedule" dialog will remain open until the transfer takes place. No other operations in the session will be possible while thes schedule is enabled. Note: If the connection requires a password and no password is saved for the site in the Site Manger/Quick Connect then you will be prompted for the password at the time FlashFXP attempts the connection.
Close the window, no transfer will be scheduled.
Find Files on FTP Server..

Search for items on the ftp server based on names, time, and sizes.

Opens the FTP File Search dialog.

Calculate FTP Space Used..

Compute the total size of all files in a directory tree.

Opens the Disk Space Used dialog.

Selective Transfer Menu

Selective Transfer allows multiple file pattern matching to determine if a file should or should not be transferred.

Multiple Selective Transfer filters can be created, but only one may be active in a single session.

Edit
Edit the currently selected filter in the "Selective Transfer dialog.
Available Selective Transfer Filters
default
This is the default filter. Initially it has no filters defined.
User Filters

New filters created by the user will appear here.

The currently selected filter is indicated here with a large dot to the left of the filter.

Clipboard

Monitor the clipboard for URLs.

See Clipboard Monitoring

Marked List

Allows you to "mark" files or folders (even if they are in different directories), and inport/export that list to the clipboard. The shortcut key for marking/unmarking is {spacebar}.

Backup / Restore Configuration

FlashFXP allows you to backup your current configuration settings in order to restore them at a later time.

Backup..
Browse for a file location to backup the current configuration.
Restore..
Browse for and restore a backed up configuration file.


FTP File Search

Search for items on the ftp server based on names, time, and sizes.

Perform the search with the specified values.
Stop searching.
Close the "FTP File Search" dialog.
Results Table
Displays the filename, path, size, owner, group, and attributes of the items which matched the search criteria.

Name & Location Tab

Named:

Enter in a file pattern to search for.

Use the pull down menu to select previous searches.

Look in:
Path on the ftp server to search for files in.
On site:
If in Site to Site transfer mode, select which of the two server to perform the search on.
Progress:
Displays a progress bar of the search.
Date Tab

All files
Match files regardless of date.
between
Specify a range of dates that the file must fall between.
during the previous (user supplied) month(s)
Specify a number of most recent months for the date.
during the previous (user supplied) day(s)
Specify a number of most recent days for the date.
Advanced Tab

Type

Specify the type of item to match.

Choices include All, Files Only, or Folders Only

Size
Specify a file size that is at least or at most a certain number of kilobytes in length.
Search Depth

Specify the maximum number of nested folders to search into.

Default: 0 (no limit)

Do not follow folder links

Only search contents of real directories.
Do not search a directory if it is a link to another directory.


Disk Space Used

Compute the total size of all files in a directory tree.

Start In:

Enter the path to the directory tree on the ftp server.
Use the pull down tab to select previous searches.

Results
Displays the total number of files, folders, and disk space used.
Perform the scan to determine the ftp space used.
Display a listing for all directories in the tree with path, number of files, number of nested folders, and total file size.
Closes the scan window.
Progress Bar
Displays the progress of the scan.
Options
List directories recursively (Not supported by all servers)
Performs a quick scan of directories, if supported.
Do not follow folder links

Only scan the contents of real directories.
Do not scan a directory if it is a link to another directory.

Search Depth

Specify the maximum number of nested folders to scan into.

Default: 0 (no limit)


Selective Transfer

Selective Transfer allows multiple file pattern matching to determine if a file should or should not be transferred.

Multiple Selective Transfer filters can be created, but only one may be active in a single session.

List
List Name

This pulldown menu contains a list of all the available filters.
The filter which appears without pulldown is the current filter.

Select from this list to specify the filter to edit.

Create a new filter.
Delete the currently selected filter.
File/Directory
Files and directories have their filters separated.
A match will

All of the name masks are set to either "Include" or "Exclude".
Masks should be added first, and then collectively assigned to "Include" or "Exclude".

In order for a file or directory to pass the filter and be transferred,
it must satisfy any of the name masks.

Mask {*.*)
Enter in the pattern for the mask.
Add the pattern in "Mask (*.*)" to the list of masks.
Remove the currently selected mask.
Save the changes to the selected Selective Transfer filter, set it as the current Selective Transfer filter in the session, and close the "Selective Transfer Window".
Save the changes to the selected Selective Transfer filter.
Abort, do not save any pending changes.


Directory Menu

Find
Finds a file in the List view.

Find Next
Finds the next match.
Mask Select..
Allows you to enter a wildcard mask (*.zip) and it will select all files with that mask.

Invert Selection
This option will mark all files in the source directory which were not marked and unmarks the previously marked files.
View Raw Directory..
Shows you a copy of the raw directory list received from the FTP server.
Copy Directory to Clipboard
Copies the raw directory to the clipboard.
Synchronize Browsing

Synchronized browsing is only supported in the file listing.

Synchronized browsing may also be activated by holding ALT while double clicking a folder.
Flush Directory Cache
Deletes the current cache files. Use this if you are having problems with directories reflecting changes.


View Menu

Options..
Opens the View Options window.

Show Windows

Left Folder Tree
Show or hide a directory tree for the remote or local filesystem in the left hand side view.
Right Folder Tree
Show or hide directory tree for the remote or local filesystem in the right hand side view.
Status Window
Show or hide the window for showing server messages and other status information.
Queue Window
Show or hide the window for displaying the current queue.

Show Raw Command Line

Toggles the display of a command line for entering raw commands in the interface.

Its position in the default interface will be above the status window.

Show Graph
Toggles the display of the built-in graph in the main window.

FTP Only
Simplify the interface by showing only one view for an ftp server and one view for the local filesystem.


View Options

Search for items on the ftp server based on names, time, and sizes.

Save changes and close dialog.
Abort any changes and close dialog.
Apply any pending changes.

Colors & Fonts Tab

Display
Click on the Color button to the left of each category to open a color picker to choose a color.
Choose the color for the following categories
Active side indicator
Status Window

Click on the Color button to the left of each category to open a color picker to choose a color.

Choose colors for the following categories:

  • Command text
  • Left FTP reply text
  • Right FTP reply text
  • Error text
  • Misc text
  • Queue complete text
  • Background
Fonts

Click on the following buttons to open a font chooser for each category:

  • Application
  • File Listing window
  • Status window
  • Queue window
Transfer Progressbar

Click on the Color button to the left of each category to open a color picker to choose a color.

Choose colors for the following categories of text:

  • Existing Progress
  • New Progress

A sample progress bar is shown.

The R button chooses random colors for the status bar.

Graph Tab

Set the display options for the graph window.

Color

Click on the Color button to the left of each category to open a color picker to choose a color.

Choose colors for the following parts of the graph text:

  • Transfer
  • Text
  • Grid
  • Border
  • Graph background
Max Value
Choose a value from the pulldown list to set the scale of the graph.
Options
Clear graph on connect Select to clear all data from the graph for a new connection.
Monitor

Choose how often to monitor and update the graph:

Options: Continously, Only during transfer, Only while connected

Scale Values

Choose on which side of the graph to display a numbered scale.

Options: None, Left, Right, or Both

Grid Style

Choose the display method of the graph grid lines.

Options: None, Solid, or Dotted

Type
Choose one method to fill the area under the curve.
3D
Display as 3D bars.
Solid
Fill the whole region under the curve.
Line
Only draw the curve, do not fill any of the area.

Interface Tab

Choose where to position different parts of the interface.
Try different combinations of layout positions to see which one you like best.

List Icons

Display files and directories in different ways.

Options: Large Icons, Small Icons, List, Details

Break Menu At (lines)

Break the interface's "Connect" menu which is accessible with the "Connect" button into sections with no more than this number of entries.

Broken parts of the menu appear the right of the first part of the menu.


Help Menu

This menu contains information about FlashFXP.

Help
Accesses the FlashFXP Help files.
Online Services

The newest information from www.FlashFXP.com

Check for New Version..
Checks the internet for a newer version of FlashFXP.
Opens the LiveUpdate Dialog
About
Provides version and registration information, as well as a link to purchase FlashFXP.


Check for New Version..

FlashFXP includes a LiveUpdate facility to keep itself up to date with the version.

(This facility is only available in the registered version of FlashFXP.)

Press to configure a few options relating to LiveUpdate.

Press to start the LiveUpdate process.


Popup Menu - Local Browser

Transfer
Start transferring the selected file(s).
Queue
Add the currently selected directories and/or files to the transfer queue.

Transfer As
Rename the selected files or directories before transferring them.
Queue As
Rename the selected files or directories before adding them to the queue.

Explorer Menu..
Search for a local file with an explorer window.

View
View the selected file with its associated viewer.
Edit
Edit the selected file with its associated editor.
Open
Open the selected file.
Delete
Delete the selected files and/or directories.
Rename
Modify the name of the selected file or directory.
Properties
Get the windows properties of the selected file or directory.
Arrange Icons
This command allows you to arrange the icons by Name, Size, Date, Owner, Group or Attributes. You can also select Ascending or Descending Sort order, as well as toggle Auto Sizing of the icons.

Save Path
Saves the remote path as the default path for when you login to the current site.
Make Folder
Create a folder. The folder name you create is with respect to the current location.
Change Folder
Change to a different folder on the current site.

Refresh
Reloads the contents of the current directory from the FTP server.


Popup Menu - Remote FTP

Transfer
Start transferring the selected file(s).
Queue
Add the currently selected directories and/or files to the transfer queue.

Transfer As
Rename the selected files or directories before transferring them.
Queue As
Rename the selected files or directories before adding them to the queue.

View
View the selected file with its associated viewer.
Edit
Edit the selected file with its associated editor.
Move
Move the selected file or directory to a new location. Note that this is done by renaming the file with a new path..not all servers support this.
Delete
Delete the selected files and/or directories.
Rename
Modify the name of the selected file or directory.
Copy URL
The Copy URL command copies the URL for a file or folder to the clipboard. You can use the copied information in many ways, such as pasting into the address or location field of your Internet browser.
Attributes (CHMOD)

Change the UNIX file modes of the selected files or directories. This is not supported by all servers, notably some windows servers like Microsoft IIS

See CHMOD window.

Commands

Send a predefined command to the FTP server whose window you have right-clicked in.

See Commands.

Arrange Icons
This command allows you to arrange the icons by Name, Size, Date, Owner, Group or Attributes. You can also select Ascending or Descending Sort order, as well as toggle Auto Sizing of the icons.

Save Path
Saves the remote path as the default path for when you login to the current site.
Make Folder
Create a folder. The folder name you create is with respect to the current location.
Change Folder
Change to a different folder on the current site.

Copy Folder
Creates the current folder name on the other site when you are connected to two FTP sites.
Refresh
Reloads the contents of the current directory from the FTP server.


Popup Menu - Queue

Transfer Queue

Transfers the items that are currently in the queue.

While in the Queue Pane,

  • Ctrl+D to moves the currently selected queue item down in the queue.
  • Ctrl+U to moves the currently selected queue item up in the queue.

Advanced
Goto Source Folder
Change the browser window to the location of the source folder.
Goto Target Folder
Change the browser window to the location of the target folder.
Expand Folder
Show all the contents of the selected folder on new lines in the queue.
Expand All Folder
Show the contents of all folder in the queue on new lines in the queue.

Go To Directory
Switch to the selected directory on the Source site.
Edit
Edit the selected file with its associated editor.
Delete
Delete the selected files and/or directories.
Move

Reorder the selected item in the queue.

Options include:
Move up
Move the selected item one slot up.
Move down
Move the selected item one slot down.
Move top
Move the selected item to the top of the queue.
Move bottom
Move the selected item to the bottom of the queue.

Failed

Modify the status of items in the queue.

Options include:
Reset Selected
Mark the selected item so that it will be transferred when the queue is transferred.
Reset All Failed
Mark all the items that failed to transfer so that they will attempt to transfer again when the queue is transferred.
Clear All Failed
Remove all items from the queue that have been marked as failed.
Mark As Failed
Mark the currently selected item as failed.

Queue Info..

Displays information about the current queue.

Restore Queue..

Select this item to bring up the Restore Queue Dialog.

Load Queue..
Brings up a browse window to locate and load a queue.
Save Queue..

Save the current queue into a file for future use.

A saved queue can be used with the FlashFXP command line to execute a certain queue as part of a schedule.

Clear Queue

Removes all items from the current queue.

This operation can not be undone.


Popup Menu - Status

Error/Transfer Window AND Status Toggle

Toggles between Error/Transfer and Status

Error/Transfer Window
Show error and transfer information.
Status
Show status information.

Timestamp
Include a timestamp with each entry in the status window.
Identification Tags
Toggle the display of identification tags.

Copy to Clipboard
Copy the current data in the status window to the clipboard.
Save to File
Save the current data in the status window in a log file.

Clear
Clear all entries from the status window.


Popup Menu - Remote Tree

Transfer
Start transferring the selected file(s).
Queue
Add the currently selected directories and/or files to the transfer queue.

Move
Move the selected file or directory to a new location. Note that this is done by renaming the file with a new path..not all servers support this.
Delete
Delete the selected files and/or directories.
Rename
Modify the name of the selected file or directory.
Attributes (CHMOD)

Change the UNIX file modes of the selected files or directories. This is not supported by all servers, notably some windows servers like Microsoft IIS

See CHMOD window.

Make Folder
Create a folder. The folder name you create is with respect to the current location.
Change Folder
Change to a different folder on the current site.


Popup Menu - Right-Click Toolbar

Right Click on the toolbar to select which tool icons to display.

Hide or Show the following Toolbar buttons on both toolbars:

Transfer Button
Begin transferring the contents of the queue.
Queue Button
Add the selected files and/or directories to the transfer queue.
Compare Folder Button
Compare the contents of folders (Exact match, Partial match, Advanced).
View File
View the selected file with its associated viewer.
Edit File
Edit the selected file with its associated editor.


Popup Menu - Right-Click Columns

Right-Click on the column bar to select which columns you wish to be displayed.
Both local and remote columns can be set independently.


Interface - FlashFXP Toolbar

Illustrated below is the FlashFXP toolbar with local view or local browser enabled for the left window and remote view or FTP browser enabled for right window.

Stop queue after current transfer
Transfer queue
Queue selected
Transfer selected
Refresh
Compare folders (Exact match, Partial match, Advanced)
View file
Edit file
Switch to FTP browser
Connect
Disconnect
Abort
Switch to Local browser
Transfer mode button (ASCII, Binary, Auto)


Interface - Shortcut Keys

Key | Description
Alt+X | Exit FlashFXP
Alt+Double Click | Enable Synchronized Browsing and enter the clicked directory
Ctrl+A | Select All
Ctrl+B | Pops up the Bookmark menu
Ctrl+D | Compare Directories
Ctrl+F | Find File
Ctrl+G | Manual Get
Ctrl+I | Invert Selection
Ctrl+J | Disconnect ftp of active side.
Ctrl+K | Pops up the Connect menu
Ctrl+M | Move selected files/directories
Ctrl+N | Rename
Ctrl+O | Change file properties
Ctrl+P | Saves remote path
Ctrl+Q | Queue selected Files/Directories
Ctrl+R | Raw Command
Ctrl+S | Mask Select
Ctrl+T | Transfer selected Files/Directories
Ctrl+U | Copy URL - Copies the full URL of the selected file to the clipboard.
Ctrl+Y | Creates the current directory name on the other site when your connected to two FTP sites.
Ctrl+Z | Transfer Queue
Ctrl+Ins | Change Directory
Ctrl+Tab | Quickly switch between browser panes
Shift+Ctrl+C | Clear Marked List
Shift+Ctrl+E | Export Marked list to clipboard
Shift+Ctrl+I | Import Marked list from clipboard
Shift+Ctrl+Q | Queue selected files/directories and prompts the user for a new name.
Shift+Ctrl+R | Toggle raw command line input
Shift+Ctrl+S | Select All Marked items
Shift+Ctrl+T | Transfer selected files/directories and prompts the user for a new name.
SHIFT+Queue File | add a file/folder into the queue multiple times by passing the check that prevents duplicates.
Spacbar | Toggle Marked items (marked items appear bold)
Backspace | Change to Parent directory
Ins | Make Directory
Del | Delete selected file/directory
ESC | Close internal editor
F1 | Help
F2 | Rename
F3 | Find/Find Next
F4 | Site Manager
F5 | Refresh
F6 | Preferences
F7 | Define Commands
F8 | Quick Connect
F9 | Minimize to System Tray (Hide)
F9+Ctrl | Minimize to System Tray (Hide & Lock) - Prompts for password if none set
F12 | Opens a new copy of FlashFXP


Command Line Options

FlashFXP Command Line Options

FLASHFXP.EXE [-switches] [ftp:// or sitename or queuefile.fqf] [; ftp:// or sitename]

Examples:

Connecting to a single ftp server...

    FLASHFXP.EXE ftp://ftp.sierra.com/
    FLASHFXP.EXE Default Sites\Game Sites\Sierra On-Line, Inc.

Connecting to multiple ftp servers (maximum two)...

    FLASHFXP.EXE ftp://ftp.mozilla.org/; ftp://ftp.adobe.com/
    FLASHFXP.EXE Default Sites\Commercial Sites\Mozilla; Default Sites\Commercial Sites\Adobe

Loading a saved queue file...

    FLASHFXP.EXE updatemysite.fqf
    FLASHFXP.EXE C:\My Documents\updatemysite.fqf

Switches, Switches and more Switches:

You may use either -switch or /switch.
Switch values *must* be quoted if they contain spaces.
    (eg: -switch="some value")
All settings are temporary and effect the current FlashFXP session only.

    -get                    automatically begin transfer of file(s)
    -go                     automatically begin transfer (same as -get)

    -max                    start flashfxp maximized
    -min                    start flashfxp minimized
    -tray                   start flashfxp in the system tray
    -lock="<password>"      start flashfxp locked to the tray, using this
                            password
    -lock                   start flashfxp locked to the tray, using your
                            security password
                            (used in combination with -pass="",
                            see below)
    -pass="<password>"      enters your security password if your sites are
                            protected (see: sites > security)

    -savequeque or -savequeue="<filename>"
                            when this parameter is combined with loading a
                            queue file via the command line, it will update the
                            original (or defined filename) file on exit

    -restorequeue           restore the auto-saved queue from the last time you
                            quit
                            (can be used with -go to automatically resume your
                            last session if interrupted)

    -localpath="<path>"     Sets the left pane to this local path.
    -remotepath="<path>"    Sets the right pane to this remote path.  (must be
                            connecting to a site)
                            (can be used twice if connecting to 2 sites for FXP,
                            use after each sitename)

    -logfile="<path to logfile>"
                            specifies an alternate file to save log information into

    -ruleset="<listname>"   use this selective transfer ruleset.
                            (see: tools > selective transfer)

    -c<num>                 on transfer complete, do the following...
                            0 = idle (default)
                            1 = disconnect site(s)
                            2 = quit flashfxp
                            3 = hang up modem
                            4 = hang up and quit flashfxp
                            5 = hang up and turn off computer
                            6 = turn off computer
                            7 = log off computer
                            8 = hibernate (if supported)

    -datafolder="<path>"            Lets you select the working directory where
                                    your configurations and .dat files are
                                    loaded and stored.

    -backup="<path\filename.fbk>"   Lets you backup your configurations and .dat
                    files to a single file.  use .fbk extension.

    -repair                         Updates the registry "Install Path" with the
                                    current location of FlashFXP.

    -setreg                         This fixes flashfxp's registry associations and
                    updates the registry "Install Path" with the
                                    current location of FlashFXP.

                                    This should only be used if flashfxp was
                                    installed without using the installer
                                    package.
                                    Network administrators may find this useful.

More Examples:

If you want to automatically download a specific file from an FTP site...

    FLASHFXP -get -localpath="C:\My Downloads\" ftp://ftp.ripe.net/mirrors/rfc/rfc959.txt

If you want FlashFXP to startup as a tray icon, automatically update your
website, and close FlashFXP when it has finished...

    FLASHFXP.EXE -tray -c2 -go updatemysite.fqf

If you want FlashFXP to startup maximized and ready to work on your website, you
might do one of the following.

    FLASHFXP.EXE -max My Website
    FLASHFXP.EXE -max -localpath="C:\My Documents\My Website\" My Website -remotepath="/public_html/"
    FLASHFXP.EXE -max -localpath="C:\My Documents\My Website\" ftp://user:pass@ftp.domain.com/public_html/

If you want FlashFXP to connect to two sites and set their remote-path to a
specific folder, either of the following can be done...

    FLASHFXP.EXE Default Sites\Software Archives\Walnut Creek -remotepath="/pub/"; Default Sites\Software Archives\Sunsite -remotepath="/pub/"
    FLASHFXP.EXE http://ftp.cdrom.com/ -remotepath="/pub/"; ftp://sunsite.unc.edu/ -remotepath="/pub/"
    FLASHFXP.EXE http://ftp.cdrom.com/pub/; ftp://sunsite.unc.edu/pub/

If you want to restore and resume the last auto-saved session in the event of a
power failure, you might put this shortcut in your Windows Startup folder.

    FLASHFXP.EXE -min -restorequeue -go

If you want to prevent anyone from tampering with your transfer...

    FLASHFXP.EXE -lock="xyzzy" -restorequeue -go

If you have set a security password set to encrypt your sites.dat
(under Sites > Security), you can automatically enter your password with the
following...

    FLASHFXP.EXE -pass="foobar"

If you have a security password set and want to prevent anyone from tampering
with your transfer...

    FLASHFXP.EXE -pass="foobar" -lock -restorequeue -go


Advanced - CHMOD (Change Attributes)

CHMOD is an important command on UNIX servers when dealing with scripts for your website. When you install a script you have to give it the correct permissions. To do this, select one or more files and press Ctrl+O or right-click and select Attributes (CHMOD) from the menu.

The Set UID will allow a program/script to be run as the OWNER of the script, no matter who tries to run it. The same goes for Set GID, except that it gives the GROUP’s permissions to whoever attempts to execute the file. The Sticky bit allows you to set a directory to be world writable, but not allow deletions. This is useful for /tmp directories.

The Attributes (CHMOD) dialog now accepts two chmods via the Permissions field, "644,755" where 644 = folders and 755 = files. If you only want to change the permissions for files and not folders enter "-1,755" the -1 tells FlashFXP to keep the existing permission.


Advanced - FlashFXP.ini Specific Settings

Setting | Options | Description | Caveat
[main]
encrypt=1 | (0=off 1=on) | when set to 1 the FlashFXP.ini will become encrypted when "Application password protection" (APP) is activated. You'll need to disable APP and then set it to activate this feature.
ANSI=1 | (0=off 1=on) | enables ansi support in status window.
HPC=0 | (0=off 1=on) | enable high thread priority class.
SaveOnExit=0 | (0=off 1=on) | By default settings are saved when you close the settings window, when this options is set options are not saved until you exit FlashFXP.
NoStats=0 | (0=off 1=on) | When set site stats are completely disabled.
swets=0 | (0=off 1=on) | Start with error/transfer status window visible, as opposed to the normal status window. | This is no longer an .ini only setting. See "Start with Error/Transfer Status".
security=1 | (0=off 1=on) | When off Application Password Protection is not availible via the GUI.
QHistoryMax=50 | (# of sites) | This is the maximum number of sites remembered in your quick connect history. Once a site has been removed from your history you will not be able to transfer queues created for the site. | This is no longer an .ini only setting. See "Quick Connect History".
TmpVEPath=<path> | (path) | Designate a custom folder for temporary files when viewing/editing remote files. By default this path is your windows temp folder.
MIPrCol=X | (items/column) | This is a deprecated option, but is still here for Win95 compatibilty. It allows you to specify a number of columns to be shown for sites under connect. | This is no longer an .ini only setting. See "Break Menu At (lines)".
Zlib_Level=X | (integer: 0 to 9) | Controls the amount of MODE Z compression used for uploads. 1 is fast but provides low compression. 9 is slow but provides maximum compression.
[proxy]
SKAI=45 | (interval sec) | This allows you to adjust the send noop during transfer keep alive value.
[run]
app | <full\path\to\exe> | This command will be executed upon a sucessful file transfer.
param | <params> | any params you need to pass, use the %f macro to pass the filename
show=1 | (0=hidden 1=visible); | show application window has two values 0=hidden 1=visible


Advanced - Queue Format (.fqf)

FileType

0 = file
1 = folder

Transfer Direction

0 = -->
1 = <--
2 = Up Left
3 = Down Left
4 = Up Right
5 = Down Right
10+ = failed transfer

Site names start with a (ASCII 2) to allow for backwards comaptiblity.

For a FTP transfer you use - (ASCII 45) to identfy the the local side.

Each line consists of the following field separated by (ASCII 1)

1. File Type
2. Direction
3. Source Host (site name as shown in site manager)
4. Target Host (site name as shown in site manager)
5. Source Filename (full path to source)
6. Target Filename (full path to target)
7. File Size


Advanced - List of FTP codes

This list comprises most of the FTP codes set forth in RFC 959. Some FTP servers may issues replies that are slightly different.

Code | Description
110 | Restart marker reply. In this case, the text is exact and not left to the particular implementation; it must read: MARK yyyy = mmmm where yyyy is User-process data stream marker, and mmmm server's equivalent marker (note the spaces between markers and "=").
120 | Service ready in nnn minutes.
125 | Data connection already open; transfer starting.
150 | File status okay; about to open data connection.
200 | Command okay.
202 | Command not implemented, superfluous at this site.
211 | System status, or system help reply.
212 | Directory status.
213 | File status.
214 | Help message.On how to use the server or the meaning of a particular non-standard command. This reply is useful only to the human user.
215 | NAME system type. Where NAME is an official system name from the list in the Assigned Numbers document.
220 | Service ready for new user.
221 | Service closing control connection.
225 | Data connection open; no transfer in progress.
226 | Closing data connection. Requested file action successful (for example, file transfer or file abort).
227 | Entering Passive Mode (h1,h2,h3,h4,p1,p2).
230 | User logged in, proceed. Logged out if appropriate.
250 | Requested file action okay, completed.
257 | "PATHNAME" created.
331 | User name okay, need password.
332 | Need account for login.
350 | Requested file action pending further information
421 | Service not available, closing control connection.This may be a reply to any command if the service knows it must shut down.
425 | Can't open data connection.
426 | Connection closed; transfer aborted.
450 | Requested file action not taken.
451 | Requested action aborted. Local error in processing.
452 | Requested action not taken. Insufficient storage space in system.File unavailable (e.g., file busy).
500 | Syntax error, command unrecognized. This may include errors such as command line too long.
501 | Syntax error in parameters or arguments.
502 | Command not implemented.
503 | Bad sequence of commands.
504 | Command not implemented for that parameter.
530 | Not logged in.
532 | Need account for storing files.
550 | Requested action not taken. File unavailable (e.g., file not found, no access).
551 | Requested action aborted. Page type unknown.
552 | Requested file action aborted. Exceeded storage allocation (for current directory or dataset).
553 | Requested action not taken. File name not allowed.

For the complete RFC on the FTP protocol, click here


Advanced - Clipboard Monitoring

When this option is enabled, FlashFXP will monitor the clipboard for ftp:// urls copied to the clipboard.

This option is useful when browsing web pages (such as www.oth.net) for files you wish to download, allowing you to simply right-click a link to a file and select "Copy Shortcut" or "Copy Link Location" or whatever your browser calls it.

If the link you copied is an url to a filename, FlashFXP will add the file to the queue for download. You can continue adding files this way, and when ready you can click the "Go" icon to begin transfer.

If the link you copied is an url to a directory (ends with "/" or doesn't contain a "."), FlashFXP will automatically connect to that site and change into that directory.. assuming that FlashFXP isn't already connected to a site.

When the Auto Transfer option is enabled, and you copy a file to the clipboard and it's queued for download.. FlashFXP will automatically connect to the site and begin downloading the queued file. Additional files added to the queue will be downloaded in order after the first file finishes. If files from different sites are queued, FlashFXP will disconnect from the first site and connect to the next as needed, which is why it's a good idea to queue files from the same site before files from another.

In morbid detail,
When files are queued from the clipboard, FlashFXP chooses the current directory in the Local View side as the destination for the file(s) to be downloaded, and connects to the site on the Remote View side.

If no Local View is visible (both sides are set to Remote View).. the files will be downloaded to the left side and the destination will be the "Default Download Path" set in Options, or Window's Current Directory (eg, c:\flashfxp) if none is set.. and will connect to the site in the right Remote View window.

If no Remote View is visible (both sides are set to Local View), the files will be downloaded to the left Local View window, and will connect to the site on the right side.

If you have more than one instance of FlashFXP open that have Clipboard Monitoring enabled, each instance will monitor the clipboard for ftp:// urls and queue files and download independently from each other. For this reason, it is a good idea to only enable Clipboard Monitoring in one instance of FlashFXP and disable monitoring in all others, otherwise you may end up queuing and downloading the same files more than once.

Clipboard Monitoring cannot be used to queue files for FXP site to site transfer at this time.


Taskbar Caption Variables

Advanced - Taskbar Caption Variables

Variable | Description
%f | File count
%d | Directory count
%s | Transfer Speed (FTP mode only)
%p | Transfer Percent (FTP mode only)
%n | Transfer Filename
%te | Time Elapsed
%tr | Time Remaining
%ttr | Total Time Remaining
%site | FTP site name (FTP mode only)
%tsite | To FTP site name (FXP mode only)
%fsite | From FTP site name (FXP mode only)
Example %d/%f %ttr (%sk/sec) %p


Advanced - Network Specific Settings

To enable sharing of a centralized copy of flashfxp and settings
Edit the FlashFXP shortcut file.

Add the -datafolder command line option to the "Target:" entry of the shortcut. Use the network path where you installed flashfxp or where you want the settings to be shared.

Example: "C:\Program Files\FlashFXP\flashfxp.exe" -datafolder=C:\FXPDATA

Alternately, enter the desired path in the "Start In" path of the FlashFXP shortcut file.

However, -datafolder is the preferred method.

To have each user's settings be stored in their own application data folder
Edit the registry manually, or paste this into an empty text file and save it with a .reg extension..close and run.

Windows Registry Editor Version 5.00

[HKEY_LOCAL_MACHINE\SOFTWARE\FlashFXP\3\]
"APPDATA"=dword:00000001

Alternatively, you can add a registry setting HKEY_CURRENT_USER\Software\FlashFXP\3\, String Value DATAPATH, and set it equal to the directory where you want your shared settings to be.


Support - Contact CEDSoft

Support - Contact Inicom Networks Support

Email:

Email Address | Use For
sales@inicom.net | Sales
support@inicom.net | Support (please include your FlashFXP ID to receive priority support)

FlashFXP Website:

  • www.flashfxp.com

Forums Support:

  • forum.flashfxp.com


FAQ

Frequently Asked Questions

For most updated content, visit our website

Q: | What is FXP?
A: | FXP is a term adopted by earlier clients which provided site to site FTP transfers.
Q: | When trying to transfer files from one site to another I keep getting this error 500 illegal port command.
A: | The FTP Server is set up to not allow or doesn't support FXP. Located in the Site Manager on the Advanced tab, you will find the option "alternative fxp method". By enabling upload/download (depending on the direction of the transfer), you may be able to get the server to allow FXP. Note: It is common for some sites to only allow FXP in one direction and not the other. By enabling alternative fxp method, this problem is sometimes solved.
Q: | Why do I keep getting this message: "Only client IP address allowed for PORT command" when trying to FXP?
A: | The FTP Server is set up to block FXP. In most cases using alternative fxp method doesn't solve this problem.
Q: | I've tried everything but I can't get a site to site transfer to work, what is wrong?
A: | Site to site transfers are not supported by some software/hardware configurations. Often, this is due to an incompatibility with NAT (Network Address Translation). NAT is not aware of site to site transfers and when it detects you are attempting to transfer a file, it modifies the FTP protocol to match your local "inside" IP. Several users have reported that Microsoft Internet Sharing is not compatible.
Q: | Why can't I see any files? I can see them in other ftp clients.
A: | There are two possible reasons. 1. You are behind a firewall and the FTP server is unable to connect to your computer. To resolve this issue you need to use Passive mode. This option is located in Preferences on the Proxy tab. Check "Use Passive mode". 2. The files may be hidden on the ftp server, and in order to see them you need to change the list method. This is located in Preferences on the Options tab. Change the List method to show hidden files. Note: some sites don't allow you to view hidden files and will result in an error. To resolve this problem, go into the Site Manager, select the site and click the advanced tab. Uncheck "show hidden files", then save to keep the changes
Q: | I can't see the toolbar icons or the icons are messed up.
A: | This problem happens on Windows 95 systems when the \Windows\System\ComCtl32.dll file is out of date. This DLL is responsible for drawing the toolbar buttons and their images. You can download the latest version from this link: MS Common Control Update!
Q: | When FXPing why doesn't FlashFXP show a file progress, transfer speed or how much time is remaining?
A: | The FXP protocol (site to site) doesn't provide any means of measurement. After one file is FXPed, FlashFXP attempts to estimate the remaining time for the next file and total remaining time for all files in the queue.
Q: | Will FlashFXP ever support connecting to more then 2 sites?
A: | FlashFXP was designed to provide very easy access and usability to the site to site feature. Allowing more than two would only complicate things. For now let's stick with 2.
Q: | Why doesn't FlashFXP support Squid?
A: | FlashFXP v1.3 now supports it.
Q: | Why doesn't FlashFXP download http:// urls from the clipboard?
A: | FlashFXP is not a browser or a web download manager. For FlashFXP you need to use the ftp addresses.
Q: | Is it possible to import site lists from another FTP clients?
A: | Yes, You can import other site lists into FlashFXP from the Site Manager by right-clicking on the site list and selecting Import from the menu.
Q: | FlashFXP looks confusing, All I want to do is download and upload files. I don't need site to site transfers.. help!?!
A: | We have just the thing for you, With a click of the mouse FlashFXP can transform into your normal looking FTP client. From the main menu select View then click FTP Only. You can always uncheck this later to bring back the power of site to site transfers.
Q: | I use ZipMagic and now all of my zips appear as folders in FlashFXP, how can I make the zips appear as zips?
A: | You need to make one small change in the ZipMagic Properties window. First, click the Start Menu, then go to Programs|ZipMagic 4.0|ZipMagic Properties. Click the "Zip Folders" button, then click the "Applications" button. Then just add FlashFXP to the list of applications that sees zip files as files.
Q: | I purchased FlashFXP v1.x or v2.x and my key doesn't work for v3.x!
A: | The key format was changed for version 3. You may request a new key via the web or email support@inicom.net. New keys are provided free of charge.


Support - Support Forums

The Support Forum is the latest and greatest addition to the new FlashFXP.com. Here you can request new features, report on bugs, chit chat, or even download the latest public beta of FlashFXP. Go sign up now if you haven’t already done so and start participating to make FlashFXP an even better program!

***Support Forums are unmoderated.***

Visit FlashFXP Support Forums Now!


Support - Registration Instructions

If you are viewing this page, you most likely have just registered FlashFXP...Thank You!!!

To register your copy of FlashFXP, simply click the button when you start FlashFXP.

The "Register FlashFXP" window will appear:

  • Copy the registration information you received when you purchased FlashFXP into the clipboard.

  • Click to paste the information into the window.

    • OR

  • Click and browse for the file named ffxpkey.dat that contains your registration information.

After you click , a dialogue will appear:

Click to continue.


How To's - Configure ProFTPD to allow FXP

Requirements: ProFTPD 1.2.0rc3
You can download the latest version from www.proftpd.org
Information provided by Jeremy Truelove

To support FXP when connecting as a user place "AllowForeignAddress on" in the Global or VirtualHost context.
To support FXP when connecting as anon "AllowForeignAddress on" must be placed in the Anonymous context.
The config will happily support "AllowForeignAddress on" in multiple places within the config..
You may need to add the following "PassivePorts 49152 65534"


How To's - Configure wu-ftpd to allow FXP

Requirements: wu-ftpd 2.6.0
You can download the latest version from www.wu-ftpd.org
Information provided by Jon Fox

/etc/ftpaccess

First, we need to add an additional class for users that are allowed to do FXP (unless you just want to use the predefined class "all"). If you add a new class, this line MUST be before the catch-all class "all", or the client will match class "all" first.

The line is of the form:
class <ArbitraryClassName> <AccessTypes> <HostAddrs> [HostAddrs]

Then we add lines to allow PASV and PORT commands to hosts whose IPs don't match the client (to allow FXP)

These lines are of the form:
port-allow <ArbitraryClassName> <HostAddrs>
pasv-allow <ArbitraryClassName> <HostAddrs>

And now to put it into practice - a real example

class newclass real,guest,anonymous *.mydomain.net
*.more.client.addresses.com
class all real,guest,anonymous *

port-allow newclass 0.0.0.0/0
pasv-allow newclass 0.0.0.0/0

This basically adds a new class (creatively called "newclass") - note that it appears BEFORE the line containing the class "all" - this new class contains all hosts in the subdomains mydomain.net and more.client.addresses.com (domains obviously made up by yours truly), in order to limit who we will allow to do FXP. The port-allow and pasv-allow lines basically allow FXP connections to anywhere if your client is in the class "newclass".


How To's - Configure MS IIS to allow FXP

Requirements: MS IIS 5.0 with Windows 2000 SP1 or later
Information provided by Microsoft

Using regedit.exe add the following registry key (DWORD value)

HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\MSFTPSVC\Parameters\

EnablePortAttack=1
Note, this DOES open your system to a port attack as discussed here.


Purchase

You may evaluate FlashFXP for free for a maximum period of 30 days. If you wish to keep on using it after 30 days, you must register it with the author and pay a registration fee.

There are a number of benefits to registering, these include:

  • A registration key emailed to you.
  • Your key will remove the shareware reminder.
  • All upgrades to FlashFXP will be FREE to registered users.
  • Unlimited free Email support.
  • A warm fuzzy feeling that you did the right thing.
  • You'll be supporting good software and provide more incentives to make FlashFXP an even better program.

FlashFXP can be ordered online via secure credit card transaction, PayPal, check, money order, wire, fax.
Please visit http://www.flashfxp.com/purchase.php to order your copy today!

If you have any questions, please do not hesitate to email sales@inicom.net.

Already have your key??? Click Here for registration instructions.


License Agreement

FLASHFXP LICENSE AGREEMENT
Copyright (C) 1998-2005 IniCom Networks, Inc.
All Rights Reserved

PLEASE READ THIS DOCUMENT CAREFULLY BEFORE INSTALLING THE SOFTWARE. BY INSTALLING AND USING THE SOFTWARE, YOU AGREE TO BE BOUND BY THE TERMS OF THIS AGREEMENT. IF YOU DO NOT AGREE TO THE TERMS OF THE AGREEMENT, DO NOT INSTALL OR USE THE SOFTWARE.

SOFTWARE LICENSE AGREEMENT

Use of FlashFXP (hereinafter "SOFTWARE") is contingent on your agreement to the following terms:

  1. GRANT OF LICENSE
    IniCom Networks (hereinafter "AUTHOR") grants you a limited, non-exclusive license to use the SOFTWARE.
    The SOFTWARE is licensed, not sold, to you for use only under the terms of this Agreement.

    Shareware Version
    Evaluation and Registration

    This is not free software. Subject to the terms below, you are hereby licensed to use this SOFTWARE for evaluation purposes without charge for a period of thirty (30) days. If you use this SOFTWARE after the 30-day evaluation period a registration fee is required. If you happen to go over your thirty (30) day evaluation period without realizing it, the SOFTWARE will remain functional (with an increasing pause on startup for each day it is run past 30), for up to an additional 30 days, as a convenience to those of you who must get critical work done before you have a chance to purchase a license. The registration fee grants you the right to use this SOFTWARE for unlimited time, and does not display any registration reminders. When payment is received you will be sent your own personal registration code.

    Registered Version
    One registered copy of SOFTWARE may either be used by a single person who uses the SOFTWARE personally on one or more computers, or installed on a single workstation used non-simultaneously by multiple people, but not both. You may access the registered version of SOFTWARE through a network, provided that you have obtained individual licenses for the SOFTWARE covering all workstations that will access the SOFTWARE through the network. For instance, if 5 different workstations will access SOFTWARE on the network, each workstation must have its own SOFTWARE license, regardless of whether they use SOFTWARE at different times or concurrently.

  2. SCOPE OF GRANT
    You may not decompile, disassemble or otherwise reverse engineer the SOFTWARE, or engage in any other activities to obtain underlying information that is not visible to the user in connection with normal use of the SOFTWARE. You may not modify, rent, or resell for profit this SOFTWARE, or create derivative works based upon this SOFTWARE. You may not publicize or distribute any registration code algorithms, information, or registration codes used by this SOFTWARE without permission from the AUTHOR.

    In no event shall the AUTHOR's liability exceed the purchase price of the SOFTWARE. Additionally, NO REFUNDS will be given after purchase of the SOFTWARE. You must utilize the 30-day evaluation period to decide if the SOFTWARE meets your needs and is compatible with your systems.

  3. COPYRIGHT
    This SOFTWARE is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties.

  4. DISTRIBUTION
    Only the shareware version of this SOFTWARE may be freely distributed.

    Provided that you verify that you are distributing the shareware version, you may distribute this SOFTWARE on on-line services, bulletin boards, or other electronic media provided that it is not modified and the original archive remains intact with all accompanying files, and provided that no fee is charged. This SOFTWARE may not be distributed on CD-ROM, disk, or other physical media for a fee without the permission of the AUTHOR.

  5. TERMINATION
    The license will terminate automatically and the SOFTWARE unregistered if you fail to comply with any of the above terms and conditions. The license may be terminated by either party at any time and without notice.

  6. DISCLAIMER OF WARRANTY
    THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, THE AUTHOR FURTHER DISCLAIMS ALL WARRANTIES, INCLUDING WITHOUT LIMITATION ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NON INFRINGEMENT. THE ENTIRE RISK ARISING OUT OF THE USE OR PERFORMANCE OF THE PRODUCT AND DOCUMENTATION REMAINS WITH RECIPIENT. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY CONSEQUENTIAL, INCIDENTAL, DIRECT, INDIRECT, SPECIAL, PUNITIVE, OR OTHER DAMAGES WHATSOEVER (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, OR OTHER PECUNIARY LOSS) ARISING OUT OF THIS AGREEMENT OR THE USE OF OR INABILITY TO USE THE PRODUCT, EVEN IF THE AUTHOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.


Privacy Policy

FlashFXP Privacy Policy

At IniCom Networks, our utmost goal is to provide you with the absolute best FTP/FXP client available. In this day and age of widespread Internet usage, privacy has become a major concern for everyone. We aim to be open and honest about what our software does, and how we use the information you provide when you browse our website, participate in our forums, and purchase/use our software.

WEBSITE/FORUMS
When you browse our website, download our software, or participate in our online forums, your ip address, the time and duration of your visit, the web browser you are using, and the pages you view are logged. This information is used to compile statistical reports about how you use our website and ultimately used to improve your browsing experience. If you choose to register for our forums, a valid email address is required, but all other information is optional. Our forums are moderated, and we reserve the right to remove any post we deem inappropriate, and any user account being used inappropriately. The purpose of our website and forums is to provide the best support possible to our valued customers.

SOFTWARE

TRIAL VERSION
Absolutely no personal information is required to download and try out our software. Additionally, while in trial mode, FlashFXP will never send ANY information to us or any of our servers. FlashFXP is yours to try for free, without obligation, and without restriction for the duration of your 30-day evaluation period.

REGISTERED VERSION/LIVEUPDATE
If you choose to register FlashFXP, some personal information is required to complete the purchase. Things like your name/company, address, and billing information like your credit card number is collected. Your billing information is only used to complete the sale, and is NOT stored in any database. All methods of purchase are ssl encrypted and detailed information can be obtained from the website at time of purchase. Your personal information is securely stored, and is never given out to anyone, or used by us for anything other than a purchase record.

LiveUpdate is a special feature of the registered version of FlashFXP. It allows for a convenient method to update the FlashFXP software. Because this is a registered version only feature, and to keep our download servers from becoming overloaded, an encrypted piece of your registration key is sent as an authentication token when LiveUpdate connects to our servers. No other information is transmitted. The first time you register FlashFXP, an automatic live update check is done to ensure you are running the latest and greatest version of our software. You can choose, however, to not install the update at that time if you wish to do it some other time. You can also disable the LiveUpdate feature once you have registered FlashFXP.

FRAUD/PIRACY
We aim to keep your information safe. Credit card fraud, identity theft and software piracy will not be tolerated. We may release any information necessary to comply with the law, protect our software licenses, and foremost to protect our valued customers. We will also work with law enforcement and fraud/credit agencies to ensure the safety of your information.


Acknowledgements

The status window (TCxConsole) was designed by Greg Holowatinc and is property of Greg Holowatinc.
FlashFXP utilizes a heavily modified version of TCxConsole and was modified by Charles DeWeese.

This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit (http://www.openssl.org)

I'd like to thank each and every person who has beta tested FlashFXP. You have made it what is is today!

Special thanks to:

  • Shaun Maher for the original icon art work.
  • Tal Sella (Scrow) for doing icon art work, Check his web site at http://scrow.cjb.net
  • Christof Krüger, our new graphic artist, for the amazing new icons in v2.0!
  • Matthieu Roger and Gaylord Roger, authors of Gene6 FTP Server for helping me add support for MODE Z.


Add Proxy Server Profile

Use this dialog to create a new profile for a proxy server.

Name:
Enter in a name that will be used to identify this profile.
Type

This is the Type of login required by your Proxy Server. Possible Settings are:

Type | These Proxy Servers have been tested & work with
0. None | Disables Proxy Support
1. Socks 4 | Wingate, WinProxy, CSM, and others
2. Socks 4a | Wingate, WinProxy, CSM, and others
3. Socks 5 | Wingate, WinProxy, CSM, and others
4. HTTP Proxy | MS Proxy, Squid Proxy, and others
5. CheckPoint Firewall 1 | CheckPoint Firewall 1
6. OPEN ftp-host:ftp-port *
7. SITE ftp-host ftp-port *
8. SITE ftp-host:ftp-port *
9. SITE ftp-user@ftp-host ftp-port *
10. SITE ftp-user@ftp-host:ftp-port *
11. USER ftp-user@ftp-host ftp-port *
12. USER ftp-user@ftp-host:ftp-port | WinProxy, SpoonProxy, and others.
13. USER ftp-user@ftp-host proxy-user *
14. USER proxy-user@ftp-host *
* No specific software proxy servers are known for these types. If you have a proxy server not supported or that is supported and is not listed above then please send an e-mail to: support@inicom.net
Host
The machine name of your Proxy server; can be either a named address or an IP address.
Port
This is usually 21 or 1080 for Socks 4 or 5.
User
This is the account name or user name that is used to connect to the proxy server or firewall.
Password
The password required to access the proxy.


IP Address

This window allows a list of hosts - with optional ports - to be specified. FlashFXP will attempt to connect to each of these entries in turn and will stop trying when one of them succeeds or until the end of the list is reached. Reconnection attempts can then take place if they are configured.

|Options|Preferences|General|Limits

If the "IP Address" dialog is used, the IP Address field will contain the addresses in the list. These entries can not be edited through the text field, but they can be changed by once again entering the "IP Address" dialog. Selecting one of these entries in the text field will set the list's starting position for connection attempts.

Example - list of mirrors for a popular site:

  • mirrors1.usa.gp.com
  • mirrors2.usa.gp.com

Example - trying different ports on a single site.

  • mirrors1.usa.gp.com:414
  • mirrors1.usa.gp.com:21


LiveUpdate Download

LiveUpdate - Connect/Request/Download

FlashFXP will connect to the sever and request the new update.
The download will begin automatically.


LiveUpdate Finished

LiveUpdate - Finished Downloading

When the download is complete, press to apply the new update to FlashFXP.

<< Back


LiveUpdate New Version

LiveUpdate - New version available

Information about the latest version of FlashFXP will appear if an update is available.

Click to download the new update.


LiveUpdate - Options

Connection
Configure LiveUpdate to use a proxy server if you require one to access the internet.
Auto-Check
Configure LiveUpdate to run interactively every few days.
Check for
Select either "Official releases" to only update to the newest stable releases,
or "Official and Beta releases" to enable updating to Beta test releases as well as stable releases.


LiveUpdate - Connect/Verify/Retrieve

FlashFXP will connect to the update server and verify your registration before checking for any available updates.